﻿* Encoding: UTF-8.

*******************************************************************************************************************************************************************************************************************.
*********************************************** GENERACIÓN DE AGREGADOS - ENCUESTA ESTRUCTURAL EMPRESARIAL 2018 **************************************************************.
*******************************************************************************************************************************************************************************************************************.

*INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC)
*FUENTE: Encuesta Estructural Empresarial 2018.
*RESPONSABLE: Unidad de Gestión de Estadísticas Estructurales (GESE)
*Fecha de elaboración: Abril 2020.
*Fecha de última actualización: 01/04/2020


****************************/.
***PRODUCCIÓN.
****************************/..

***CÁLCULO DE COMPONENTES DE LA PRODUCCIÓN***.

***VENTAS NETAS POR TIPO DE PRODUCTO/SERVICIO**.
COMPUTE Vbp = v20001.
VARIABLE LABELS Vbp 'Ventas netas de bienes producidos por la empresa'.
FORMATS Vbp (F15.0).
EXECUTE.

COMPUTE Vbc = sum.1(v20002, v20003).
VARIABLE LABELS Vbc 'Ventas netas de bienes no producidos (mercaderías) por la empresa'.
FORMATS Vbc (F15.0).
EXECUTE.

COMPUTE Vns = v20004.
VARIABLE LABELS Vns 'Ventas netas de servicios'.
FORMATS Vns (F15.0).
EXECUTE.

***TOTAL DEL COSTO DE COMPRAS NETAS DE BIENES NO PRODUCIDOS**.
COMPUTE Cbnp = sum.1(v1049, v1052).
VARIABLE LABELS Cbnp 'Total del costo de compras netas de bienes no producidos '.
FORMATS Cbnp (F15.0).
EXECUTE.

***OTROS INGRESOS***.
***Incluye otros, Arrendamiento Mercantil y Otros ingresos no operacionales***.
COMPUTE oingxser= sum.1(v1028, v1031, v1038).
VARIABLE LABELS oingxser "Otros ingresos por servicios y no operacionales".
FORMATS oingxser (F15.0).
EXECUTE.

****VARIACIÓN DE EXISTENCIAS DE PRODUCCIÓN***.
***VARIACIÓN EXISTENCIAS ARTÍCULOS PRODUCIDOS PARA LA VENTA***.
COMPUTE varexisbt = sum.1(v1066, v1070, - v1064, - v1068).
VARIABLE LABELS varexisbt 'Variación de existencias de artículos producidos para la venta'.
FORMATS varexisbt (F15.0).
EXECUTE.

***VARIACIÓN EXISTENCIAS MERCADERÍAS**.
COMPUTE varexism = sum.1(v1054, - v1047).
VARIABLE LABELS varexism 'Variación de existencias de artículos para la venta sin transformación (Mercaderías)'.
FORMATS varexism (F15.0).
EXECUTE.

***TOTAL CONSTRUCCIONES DE ACTIVOS POR CUENTA PROPIA**.
COMPUTE tcaf = v4145.
VARIABLE LABELS tcaf 'Total construcciones de activos fijos por cuenta propia'.
FORMATS tcaf (F15.0).
EXECUTE.

***CÁLCULO DE PRODUCCIÓN***.
COMPUTE prodtota= sum.1 (Vbp, Vbc, Vns, -Cbnp, oingxser, varexisbt, varexism, tcaf).
VARIABLE LABELS prodtota "Producción Total".
FORMATS prodtota (F15.0).
EXECUTE.


*********************************/.
***CONSUMO INTERMEDIO.
*********************************/.

***CÁLCULO DE COMPONENTES DEL CONSUMO INTERMEDIO***.

***TOTAL INSUMOS***.

***MATERIA PRIMA UTILIZADA***.																																																										
COMPUTE	matprima =sum.1(v1056, v1058, v1060, -v1062).
VARIABLE LABELS matprima "Materia prima utilizada".
FORMATS matprima (F15.0).
EXECUTE.

***REPUESTOS Y ACCESORIOS***.																		
COMPUTE	repacces=	v1141.
VARIABLE LABELS repacces "Suministros, herramientas, materiales y repuestos".
FORMATS repacces (F15.0).
EXECUTE.

***TOTAL INSUMOS***.
COMPUTE	totinsum=	sum.1(matprima, repacces).
VARIABLE LABELS totinsum "Total insumos".
FORMATS totinsum (F15.0).
EXECUTE.

****GASTOS***.																							
COMPUTE servbanc= sum.1(v1186, v1188, v1190, v1192, v1194, v1196).
VARIABLE LABELS servbanc "Gastos financieros".
FORMATS servbanc (F15.0).
EXECUTE.

COMPUTE gasxalqu= sum.1(v1138, v1184).
VARIABLE LABELS gasxalqu "Arrendamientos".
FORMATS gasxalqu (F15.0).
EXECUTE.

COMPUTE	gasopera=	sum.1(v1124, v1127, v1130, v1133, v1146, v1152, v1161, v1173, v1091, v1094, gasxalqu).
VARIABLE LABELS gasopera 'Gastos operacionales'.
FORMATS gasopera (F15.0).
EXECUTE.

COMPUTE	otrgasop=	sum.1(v1109, v1112, v1115, v1135, v1149, v1164, v1167, v1175, v1178, v1200, servbanc).
VARIABLE LABELS otrgasop 'Otros gastos operacionales'.
FORMATS otrgasop (F15.0).
EXECUTE.

COMPUTE totgadop=  sum.1(gasopera, otrgasop).
VARIABLE LABELS totgadop 'Total gastos operacionales'.
FORMATS totgadop (F15.0).
EXECUTE.

***CÁLCULO DEL CONSUMO INTERMEDIO***.
COMPUTE consint = sum.1(totinsum, gasopera, otrgasop).
VARIABLE LABELS consint 'Consumo Intermedio'.
FORMATS consint (F15.0).
EXECUTE.


*********************************.
*****VALOR AGREGADO****.
*********************************.
COMPUTE valag = sum.1(prodtota, - consint).
VARIABLE LABELS valag 'Valor agregado'.
FORMATS valag (F15.0).
EXECUTE.


*******************************************.
*********DEPRECIACIONES***********.
*******************************************.
compute deprecia=v4151.
VARIABLE LABELS deprecia 'Depreciaciones'.
FORMATS deprecia (F15.0).


*********************************************.
*********REMUNERACIONES***********.
*********************************************.
COMPUTE	totremun=	sum.1(v1082, v1085, v1088, v1097, v1100, v1103, v1205).
VARIABLE LABELS totremun 'Remuneraciones'.
FORMATS totremun (F15.0).
EXECUTE.


*********************************************************.
*********TOTAL PERSONAL OCUPADO***********.
*********************************************************.
compute totalpeoc = v5234.
VARIABLE LABELS totalpeoc 'Personal ocupado'.
FORMATS totalpeoc (F15.0).
EXECUTE.


********************************************************************.
********FORMACIÓN BRUTA DE CAPITAL FIJO************.
********************************************************************.
*************Cálculo de activos fijos**************************
					
****Compra de bienes nuevos en el 2018.
			
*1 Maquinaria y equipo en montaje y en tránsito + maquinaria y equipo + instalaciones.
COMPUTE	adqmyenv =	sum.1(v4038, v4052).
FORMATS adqmyenv (F15.0).
VARIABLE LABELS adqmyenv 'Adquisiciones de maquinaria, equipo e instalaciones nuevos'.
EXECUTE.

*2 Construcciones en curso + Edificios.
COMPUTE	adqeiycnv =	sum.1(v4012, v4027).
FORMATS adqeiycnv (F15.0).
VARIABLE LABELS adqeiycnv 'Adquisición de edificios y otras construcciones nuevas'.
EXECUTE.

*3 Muebles y Enseres y Equipos de Oficina.
COMPUTE	adqmeeofnv = v4062.
FORMATS adqmeeofnv (F15.0).
VARIABLE LABELS adqmeeofnv 'Adquisición de muebles y enseres y equipos de oficina nuevos'.
EXECUTE.

*4 Equipos de computación.
COMPUTE	adqecnv = v4076.
FORMATS adqecnv (F15.0).
VARIABLE LABELS adqecnv 'Adquisición de equipos de oficina y computación nuevos'.
EXECUTE.

*5 Vehículos y equipos de transporte.
COMPUTE	adqvnv = v4090.
FORMATS adqvnv (F15.0).
VARIABLE LABELS adqvnv 'Adquisición de vehículos y equipos de transporte nuevos'.
EXECUTE.

*6 Equipo caminero móvil.
COMPUTE	adqecmnv =	v4104.
FORMATS adqecmnv (F15.0).
VARIABLE LABELS adqecmnv 'Adquisición de equipo caminero móvil nuevos'.
EXECUTE.

*7 Activos biológicos.
COMPUTE	adqacbinv =	v4118.
FORMATS adqacbinv (F15.0).
VARIABLE LABELS adqacbinv 'Adquisición de activos biológicos nuevos'.
EXECUTE.

*8 Otros Activos Fijos.
COMPUTE	adqoafnv = v4132.
FORMATS adqoafnv (F15.0).
VARIABLE LABELS adqoafnv 'Adquisición de otros activos fijos tangibles nuevos'.
EXECUTE.

*Total de Adquisiciones.	
COMPUTE	totadqnv = sum.1(adqmyenv, adqeiycnv, adqmeeofnv, adqecnv, adqvnv, adqecmnv, adqacbinv, adqoafnv).
FORMATS totadqnv (F15.0).
VARIABLE LABELS totadqnv 'Total adquisición de activos fijos tangibles nuevos'.
EXECUTE.
		
*******************.																								
COMPUTE comactnu = v4146.
FORMATS comactnu (F15.0).
VARIABLE LABELS comactnu 'Compra de activos fijos nuevos'.
EXECUTE.
																									
COMPUTE comactusad = sum.1(v4147, - v4002).
FORMATS comactusad (F15.0).
VARIABLE LABELS comactusad 'Compra de activos fijos usados'.
EXECUTE.

*Ventas de activos fijos.
COMPUTE venactfi = sum.1(v4148, v4149, -v4003, -v4004).
FORMATS venactfi (F15.0).
VARIABLE LABELS venactfi 'Venta y bajas de activos fijos'.
EXECUTE.
															
COMPUTE comnette = sum.1(v4002, -v4003, -v4004).
FORMATS comnette (F15.0).
VARIABLE LABELS comnette 'Compras netas de activos fijos no producidos - Terrenos'.
EXECUTE.
	
COMPUTE revajust = v4150.
FORMATS revajust (F15.0).
VARIABLE LABELS revajust 'Revalorización y ajuste por valor de mercado en el año'.
EXECUTE.
																									
COMPUTE sal31dic = v4153.
FORMATS sal31dic (F15.0).
VARIABLE LABELS sal31dic 'Costo histórico al 31 de Diciembre'.
EXECUTE.
																									
COMPUTE tcaf = v4145.
FORMATS tcaf (F15.0).
VARIABLE LABELS tcaf 'Total construcciones de activos fijos por cuenta propia'
EXECUTE.

****ADQUISICIONES***.
COMPUTE totadquisi= sum.1(totadqnv, comactusad).
FORMATS totadquisi (F15.0).
VARIABLE LABELS totadquisi 'Total de adquisiciones'.
EXECUTE.

COMPUTE totdispos = venactfi.
FORMATS totdispos (F15.0).
VARIABLE LABELS totdispos 'Total disposiciones (-)'.
EXECUTE.


********************************************************************.
*********FORMACIÓN BRUTA DE CAPITAL FIJO************.
********************************************************************.
COMPUTE fbkf_1= sum.1(totadquisi, - totdispos, tcaf).
FORMATS fbkf_1 (F15.0).
VARIABLE LABELS fbkf_1 'Formación bruta de capital fijo'.
EXECUTE.


********************************************************************.
*************FORMACIÓN DE CAPITAL FIJO*****************.
********************************************************************.

***VARIACIÓN DE EXISTENCIAS DEL CONSUMO INTERMEDIO***.
COMPUTE varexisci = sum.1(v1062, - v1056).
VARIABLE LABELS varexisci 'Variación de existencias de materia prima'.
FORMATS varexisci (F15.0).
EXECUTE.

COMPUTE totexi = sum.1(varexisbt, varexism, varexisci).
FORMATS totexi (F15.0).
VARIABLE LABELS totexi 'Variación de existencias'.
EXECUTE.

COMPUTE  fbk = sum.1(fbkf_1, totexi).
VARIABLE LABELS fbk 'Formación de capital fijo'.
FORMATS fbk (F15.0).
EXECUTE.



